Bug 807228 - Should replace express in help page of rhc-create-app -h rhc app create --help
Should replace express in help page of rhc-create-app -h rhc app create --help
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 06:22 EDT by Yujie Zhang
Modified: 2015-05-14 21:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:31:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-03-27 06:22:50 EDT
Description of problem:

Since express and flex have been replaced by OpenShift, we should also replace express in the help page of rhc-create-app -h and rhc app create --help.

Version-Release number of selected component (if applicable):

devenv_1674

How reproducible:always


Steps to Reproduce:
1.Type command :"rhc-create-app -h" or "rhc app create --help"
2.
3.
  
Actual results:

The content is as following:

Obtaining list of cartridges (please excuse the delay)...

Usage: /usr/bin/rhc-create-app
Create an OpenShift Express app.

  -a|--app   application     Application name  (alphanumeric - max 32 chars) (required)
  -t|--type  type            Type of app to create (nodejs-0.6, jbossas-7, python-2.6, jenkins-1.4, ruby-1.8, diy-0.1, php-5.3, perl-5.10) (required)
  -g|--gear-size size        The size of the gear for this app ([small|medium|large], defaults to small)
  -l|--rhlogin  rhlogin      Red Hat login (RHN or OpenShift login with OpenShift Express access) (required)
  -p|--password  password    RHLogin password  (optional, will prompt)
  -r|--repo  path            Git Repo path (defaults to ./$app_name)
  -n|--nogit                 Only create remote space, don't pull it locally
  -d|--debug                 Print Debug info
  -h|--help                  Show Usage info
  --no-dns                   Skip DNS check. Must be used in combination with --nogit
  --config  path             Path of alternate config file
  --timeout #                Timeout, in seconds, for connection
  --enable-jenkins [name]    Create a Jenkins application (see Note 1)

Notes:
1. Jenkins applications will have Jenkins embedded.  Their default name will be 'jenkins' if not specified and the '--no-dns' flag is ignored.

Expected results:

The "OpenShift Express" should be replaced by "OpenShift".

Additional info:
Comment 1 Rob Millner 2012-03-27 18:29:54 EDT
Commit 2f930c2, cleaned up help messages in all rhc commands.
Comment 2 Yujie Zhang 2012-03-29 06:17:07 EDT
(In reply to comment #1)
Verify this bug on devenv_1679, it has been fixed now.

Note You need to log in before you can comment on or make changes to this bug.